<html>
<head>
<title>OGRE: Ogre::ILCodecs Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ILCodecs.html">ILCodecs</a></div>
<h1>Ogre::ILCodecs Class Reference</h1><!-- doxytag: class="Ogre::ILCodecs" --><code>#include &lt;<a class="el" href="Attic_2OgreILCodecs_8h-source.html">OgreILCodecs.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1ILCodecs-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#d8befc491a5ecee14d2924b41097c8c2">registerCodecs</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#0f21c3e95287829339bdc43a46eb423c">deleteCodecs</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#d8befc491a5ecee14d2924b41097c8c2">registerCodecs</a> (void)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#0f21c3e95287829339bdc43a46eb423c">deleteCodecs</a> (void)</td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static std::list<br>
&lt; <a class="el" href="classOgre_1_1ILImageCodec.html">ILImageCodec</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#1ebf6da29901309434aa1b7228be53bc">codeclist</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">static std::list<br>
&lt; <a class="el" href="classOgre_1_1ILImageCodec.html">ILImageCodec</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ILCodecs.html#1ebf6da29901309434aa1b7228be53bc">codeclist</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="Attic_2OgreILCodecs_8h-source.html#l00038">38</a> of file <a class="el" href="Attic_2OgreILCodecs_8h-source.html">Attic/OgreILCodecs.h</a>.</p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="d8befc491a5ecee14d2924b41097c8c2"></a><!-- doxytag: member="Ogre::ILCodecs::registerCodecs" ref="d8befc491a5ecee14d2924b41097c8c2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILCodecs::registerCodecs           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0f21c3e95287829339bdc43a46eb423c"></a><!-- doxytag: member="Ogre::ILCodecs::deleteCodecs" ref="0f21c3e95287829339bdc43a46eb423c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILCodecs::deleteCodecs           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="d8befc491a5ecee14d2924b41097c8c2"></a><!-- doxytag: member="Ogre::ILCodecs::registerCodecs" ref="d8befc491a5ecee14d2924b41097c8c2" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILCodecs::registerCodecs           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="0f21c3e95287829339bdc43a46eb423c"></a><!-- doxytag: member="Ogre::ILCodecs::deleteCodecs" ref="0f21c3e95287829339bdc43a46eb423c" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void Ogre::ILCodecs::deleteCodecs           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="1ebf6da29901309434aa1b7228be53bc"></a><!-- doxytag: member="Ogre::ILCodecs::codeclist" ref="1ebf6da29901309434aa1b7228be53bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1ILImageCodec.html">ILImageCodec</a>*&gt; <a class="el" href="classOgre_1_1ILCodecs.html#1ebf6da29901309434aa1b7228be53bc">Ogre::ILCodecs::codeclist</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="Attic_2OgreILCodecs_8h-source.html#l00040">40</a> of file <a class="el" href="Attic_2OgreILCodecs_8h-source.html">Attic/OgreILCodecs.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="1ebf6da29901309434aa1b7228be53bc"></a><!-- doxytag: member="Ogre::ILCodecs::codeclist" ref="1ebf6da29901309434aa1b7228be53bc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="classOgre_1_1ILImageCodec.html">ILImageCodec</a>*&gt; <a class="el" href="classOgre_1_1ILCodecs.html#1ebf6da29901309434aa1b7228be53bc">Ogre::ILCodecs::codeclist</a><code> [static, protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreILCodecs_8h-source.html#l00040">40</a> of file <a class="el" href="OgreILCodecs_8h-source.html">OgreILCodecs.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Attic_2OgreILCodecs_8h-source.html">Attic/OgreILCodecs.h</a><li><a class="el" href="OgreILCodecs_8h-source.html">OgreILCodecs.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:04 2008
</p>
</body>
</html>
